xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Brandon S Allbery KF8NH, 2012
License | BSD3-style (see LICENSE)
Maintainer | allbery.b@gmail.com
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Hooks.DebugEvents

Description

Module to dump diagnostic information about X11 events received by `xmonad`. This is incomplete due to `Event` being incomplete and not providing information about a number of events, and enforcing artificial constraints on others (for example `ClientMessage`); the `X11` package will require a number of changes to fix these problems.

Synopsis

- debugEventsHook :: Event -> X All

# Documentation

debugEventsHook :: Event -> X All #

Event hook to dump all received events. You should probably not use this unconditionally; it will produce massive amounts of output.